package com.cultural.heritage.model.dto.file;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

@Data
@Schema(description = "文件上传请求体", requiredProperties = {"biz"})
public class UploadFileRequest implements Serializable {

    /**
     * 业务
     */
    @Schema(description = "图片所属业务类型(分别有user_avatar, good, system, test", example = "user_avatar")
    private String biz;


    @Serial
    private static final long serialVersionUID = 1L;
}
