package com.cultural.heritage.service.book;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.IService;
import com.cultural.heritage.model.dto.clothesinfo.ClothesInfoQueryRequest;
import com.cultural.heritage.model.entity.ClothesInfo;

public interface ClothesInfoService extends IService<ClothesInfo> {

    /**
     * 校验
     */
    void validClothesInfo(ClothesInfo clothesInfo, boolean update);


    /**
     * 获取查询条件
     */
    QueryWrapper<ClothesInfo> getQueryWrapper(ClothesInfoQueryRequest clothesInfoQueryRequest);
}
