package com.cultural.heritage.service.good;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.IService;
import com.cultural.heritage.model.entity.Category;
import com.cultural.heritage.model.entity.Good;

import java.util.List;


public interface CategoryService extends IService<Category> {

    /**
     * 获取类别名列表
     */

    List<String> getTypeNameList();

    /**
     * 根据id获取类别
     */
    Category getCategoryById(Long id);

    /**
     * 校验
     */
    void validCategory(Category category, boolean add);

    /**
     * 根据类别id获取商品删除的条件
     */
    QueryWrapper<Good> getDeleteQueryWrapper(Long id);


}
