package com.cultural.heritage.service.good;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.IService;
import com.cultural.heritage.model.dto.coupon.CouponQueryRequest;
import com.cultural.heritage.model.entity.Coupon;

public interface CouponService extends IService<Coupon> {


    /**
     * 获取查询条件
     */
    QueryWrapper<Coupon> getQueryWrapper(CouponQueryRequest couponQueryRequest);


    /**
     * 校验用户限领量是否已达到上限
     */
    Integer verifyIsReachTheUpperLimit(Long userId, Long couponId);


    /**
     * 校验
     */
    void validCoupon(Coupon coupon, boolean update);
}
