package com.cultural.heritage.redis;

import com.cultural.heritage.mapper.GoodMapper;
import com.cultural.heritage.model.entity.Good;
import org.junit.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.redis.core.StringRedisTemplate;
import org.springframework.stereotype.Component;

import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;

@Component
public class TestRedis {

    @Autowired
    private StringRedisTemplate stringRedisTemplate;

    @Autowired
    private GoodMapper goodMapper;

    @Test
    public void test() {
        List<Good> goodList = goodMapper.selectList(null);

        Map<String, String> map = goodList.stream().collect(Collectors.toMap
                (good -> good.getId().toString(), good -> good.getName()));
        stringRedisTemplate.opsForHash().putAll("test", map);
        stringRedisTemplate.opsForHash().get("test", "238");
    }
}
